com.hazelcast.config

## Class UrlXmlConfig

- java.lang.Object
- - com.hazelcast.config.Config
  - - com.hazelcast.config.UrlXmlConfig

-     public class UrlXmlConfig
      extends Config

  A `Config` which is loaded using some url pointing to a Hazelcast XML file.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UrlXmlConfig(String url)` Creates new Config which is loaded from the given url and uses the System.properties to replace variables in the XML.
    `UrlXmlConfig(String url, Properties properties)` Creates new Config which is loaded from the given url.
    `UrlXmlConfig(URL url)` Creates new Config which is loaded from the given url and uses the System.properties to replace variables in the XML.
    `UrlXmlConfig(URL url, Properties properties)` Creates new Config which is loaded from the given url.

  - ### Method Summary

    - ### Methods inherited from class com.hazelcast.config.Config

      `addAtomicLongConfig, addAtomicReferenceConfig, addCacheConfig, addCardinalityEstimatorConfig, addCountDownLatchConfig, addDurableExecutorConfig, addEventJournalConfig, addExecutorConfig, addFlakeIdGeneratorConfig, addJobTrackerConfig, addListConfig, addListenerConfig, addLockConfig, addMapConfig, addMerkleTreeConfig, addMultiMapConfig, addPNCounterConfig, addQueueConfig, addQuorumConfig, addReliableTopicConfig, addReplicatedMapConfig, addRingBufferConfig, addScheduledExecutorConfig, addSemaphoreConfig, addSetConfig, addTopicConfig, addWanReplicationConfig, findAtomicLongConfig, findAtomicReferenceConfig, findCacheConfig, findCacheConfigOrNull, findCacheEventJournalConfig, findCardinalityEstimatorConfig, findCountDownLatchConfig, findDurableExecutorConfig, findExecutorConfig, findFlakeIdGeneratorConfig, findJobTrackerConfig, findListConfig, findLockConfig, findMapConfig, findMapEventJournalConfig, findMapMerkleTreeConfig, findMultiMapConfig, findPNCounterConfig, findQueueConfig, findQuorumConfig, findReliableTopicConfig, findReplicatedMapConfig, findRingbufferConfig, findScheduledExecutorConfig, findSemaphoreConfig, findSetConfig, findTopicConfig, getAdvancedNetworkConfig, getAtomicLongConfig, getAtomicLongConfigs, getAtomicReferenceConfig, getAtomicReferenceConfigs, getCacheConfig, getCacheConfigs, getCacheEventJournalConfig, getCacheEventJournalConfigs, getCardinalityEstimatorConfig, getCardinalityEstimatorConfigs, getClassLoader, getConfigPatternMatcher, getConfigurationFile, getConfigurationUrl, getCountDownLatchConfig, getCountDownLatchConfigs, getCPSubsystemConfig, getCRDTReplicationConfig, getDurableExecutorConfig, getDurableExecutorConfigs, getExecutorConfig, getExecutorConfigs, getFlakeIdGeneratorConfig, getFlakeIdGeneratorConfigs, getGroupConfig, getHotRestartPersistenceConfig, getInstanceName, getJobTrackerConfig, getJobTrackerConfigs, getLicenseKey, getListConfig, getListConfigs, getListenerConfigs, getLockConfig, getLockConfigs, getManagedContext, getManagementCenterConfig, getMapConfig, getMapConfigOrNull, getMapConfigs, getMapEventJournalConfig, getMapEventJournalConfigs, getMapMerkleTreeConfig, getMapMerkleTreeConfigs, getMemberAttributeConfig, getMultiMapConfig, getMultiMapConfigs, getNativeMemoryConfig, getNetworkConfig, getPartitionGroupConfig, getPNCounterConfig, getPNCounterConfigs, getProperties, getProperty, getQueueConfig, getQueueConfigs, getQuorumConfig, getQuorumConfigs, getReliableTopicConfig, getReliableTopicConfigs, getReplicatedMapConfig, getReplicatedMapConfigs, getRingbufferConfig, getRingbufferConfigs, getScheduledExecutorConfig, getScheduledExecutorConfigs, getSecurityConfig, getSemaphoreConfig, getSemaphoreConfigs, getSemaphoreConfigsAsMap, getSerializationConfig, getServicesConfig, getSetConfig, getSetConfigs, getTopicConfig, getTopicConfigs, getUserCodeDeploymentConfig, getUserContext, getWanReplicationConfig, getWanReplicationConfigs, isLiteMember, setAdvancedNetworkConfig, setAtomicLongConfigs, setAtomicReferenceConfigs, setCacheConfigs, setCacheEventJournalConfigs, setCardinalityEstimatorConfigs, setClassLoader, setConfigPatternMatcher, setConfigurationFile, setConfigurationUrl, setCountDownLatchConfigs, setCPSubsystemConfig, setCRDTReplicationConfig, setDurableExecutorConfigs, setExecutorConfigs, setFlakeIdGeneratorConfigs, setGroupConfig, setHotRestartPersistenceConfig, setInstanceName, setJobTrackerConfigs, setLicenseKey, setListConfigs, setListenerConfigs, setLiteMember, setLockConfigs, setManagedContext, setManagementCenterConfig, setMapConfigs, setMapEventJournalConfigs, setMapMerkleTreeConfigs, setMemberAttributeConfig, setMultiMapConfigs, setNativeMemoryConfig, setNetworkConfig, setPartitionGroupConfig, setPNCounterConfigs, setProperties, setProperty, setQueueConfigs, setQuorumConfigs, setReliableTopicConfigs, setReplicatedMapConfigs, setRingbufferConfigs, setScheduledExecutorConfigs, setSecurityConfig, setSemaphoreConfigs, setSerializationConfig, setServicesConfig, setSetConfigs, setTopicConfigs, setUserCodeDeploymentConfig, setUserContext, setWanReplicationConfigs, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UrlXmlConfig

          public UrlXmlConfig(String url)
                       throws IOException

      Creates new Config which is loaded from the given url and uses the System.properties to replace variables in the XML.
      Parameters:
        `url` - the url pointing to the Hazelcast XML file
      Throws:
        `MalformedURLException` - if the url is not correct
        `IOException` - if something fails while loading the resource
        `InvalidConfigurationException` - if the XML content is invalid

    - #### UrlXmlConfig

          public UrlXmlConfig(String url,
                              Properties properties)
                       throws IOException

      Creates new Config which is loaded from the given url.
      Parameters:
        `url` - the url pointing to the Hazelcast XML file
        `properties` - the properties for replacing variables
      Throws:
        `IllegalArgumentException` - if properties is `null`
        `MalformedURLException` - if the url is not correct
        `IOException` - if something fails while loading the resource
        `InvalidConfigurationException` - if the XML content is invalid

    - #### UrlXmlConfig

          public UrlXmlConfig(URL url)
                       throws IOException

      Creates new Config which is loaded from the given url and uses the System.properties to replace variables in the XML.
      Parameters:
        `url` - the URL pointing to the Hazelcast XML file
      Throws:
        `IOException` - if something fails while loading the resource
        `IllegalArgumentException` - if the url is `null`
        `InvalidConfigurationException` - if the XML content is invalid

    - #### UrlXmlConfig

          public UrlXmlConfig(URL url,
                              Properties properties)
                       throws IOException

      Creates new Config which is loaded from the given url.
      Parameters:
        `url` - the URL pointing to the Hazelcast XML file
        `properties` - the properties for replacing variables
      Throws:
        `IOException` - if something fails while loading the resource
        `IllegalArgumentException` - if the url or properties is `null`
        `InvalidConfigurationException` - if the XML content is invalid

Copyright © 2020. All rights reserved.